PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
RRAMC_RRAMC_Type Struct Reference

## Description

RRAMC controller registers (RRAMC_RRAMC)

## Data Fields
__IOM uint32_t | AHB_HRESP
__IM uint32_t | RESERVED [7]
__IOM uint32_t | PC_MASK
__IM uint32_t | RRAM_PROTECTED_X
__IM uint32_t | RRAM_SFLASH_Y
__IM uint32_t | RRAM_WORK_Z
__IM uint32_t | RRAM_MAIN_N
__IM uint32_t | RESERVED1 [51]
__IOM uint32_t | RRAM_CTL
__IOM uint32_t | PROTECTED_LOCKABLE_LOCK
__IM uint32_t | RESERVED2 [2]
__IOM uint32_t | UDS_CTL
__IOM uint32_t | RECLAIMED_MAIN_NVM_SIZE
__IOM uint32_t | TB_GATING_CTL
__IM uint32_t | RESERVED3 [953]

## Field Documentation

## ◆ AHB_HRESP

__IOM uint32_t RRAMC_RRAMC_Type::AHB_HRESP

0x00000000 RRAMC AHB HRESP

## ◆ RESERVED

__IM uint32_t RRAMC_RRAMC_Type::RESERVED[7]

## ◆ PC_MASK

__IOM uint32_t RRAMC_RRAMC_Type::PC_MASK

0x00000020 PC acquisition and releasing

## ◆ RRAM_PROTECTED_X

__IM uint32_t RRAMC_RRAMC_Type::RRAM_PROTECTED_X

0x00000024 Size of PROTECTED_NVM subregion (8KB * X)

## ◆ RRAM_SFLASH_Y

__IM uint32_t RRAMC_RRAMC_Type::RRAM_SFLASH_Y

0x00000028 Size of SFLASH_NVM subregion (8KB * Y)

## ◆ RRAM_WORK_Z

__IM uint32_t RRAMC_RRAMC_Type::RRAM_WORK_Z

0x0000002C Size of WORK_NVM subregion (8KB * Z)

## ◆ RRAM_MAIN_N

__IM uint32_t RRAMC_RRAMC_Type::RRAM_MAIN_N

0x00000030 Size of MAIN_NVM subregion (8KB * N)

## ◆ RESERVED1

__IM uint32_t RRAMC_RRAMC_Type::RESERVED1[51]

## ◆ RRAM_CTL

__IOM uint32_t RRAMC_RRAMC_Type::RRAM_CTL

0x00000100 RRAM macro OSC control

## ◆ PROTECTED_LOCKABLE_LOCK

__IOM uint32_t RRAMC_RRAMC_Type::PROTECTED_LOCKABLE_LOCK

0x00000104 PROTECTED_NVM lockable configuarion

## ◆ RESERVED2

__IM uint32_t RRAMC_RRAMC_Type::RESERVED2[2]

## ◆ UDS_CTL

__IOM uint32_t RRAMC_RRAMC_Type::UDS_CTL

0x00000110 UDS control

## ◆ RECLAIMED_MAIN_NVM_SIZE

__IOM uint32_t RRAMC_RRAMC_Type::RECLAIMED_MAIN_NVM_SIZE

0x00000114 Reclaimed size (KB) from upgradeable

## ◆ TB_GATING_CTL

__IOM uint32_t RRAMC_RRAMC_Type::TB_GATING_CTL

0x00000118 Turn-off Tagbit post-read gating control check

## ◆ RESERVED3

__IM uint32_t RRAMC_RRAMC_Type::RESERVED3[953]